#!/usr/bin/env python3

from enum import Enum
from queue import Queue, Empty


class Action(Enum):
    addMessage = 1


def mainLoop(q):
    while True:
        action = q[0] #.get_nowait()
        print(isinstance(action[0], Action))  # False
        print(isinstance(Action.addMessage, Action))  # True
        if action[0] == Action.addMessage:
            print('Adding message...')
        else:
            print('Module requested unknown action {}'.format(action[0]))
        exit(0)  # Test over

print('main', id(Action))

from module import Module

# Set up a queue so that the module can communicate with the main thread
q = [] #Queue()

# This will (correctly) fail if the module doesn't implement all necessary
# functionality
module = Module(q)

# Run forever
mainLoop(q)
